<div [class]="'app-header header-shadow ' + (config$ | async).headerTheme" *ngIf="ttInfocia">
  <div class="logo-src"></div>
  <div class="app-header__content">
    <div class="app-header-left">
      <!--<app-search-box></app-search-box>
      <app-mega-menu></app-mega-menu>-->

      <div class="row" *ngIf="encabezado">
        <div class="mr-1" style="font-size: 12px;">
          {{ encabezado[0] }} Ver. {{ encabezado[1] }}
        </div>
        <div class="font-weight-bold text-success" style="font-size: 14px;">
          {{ encabezado[2] }}
        </div>
        <div class="ml-1 text-monospace" style="font-size: 14px;">
          Fecha: {{ fechaH }}. Usuario: {{ encabezado[3] }}
        </div>
      </div>

    </div>

    <div class="app-header-right">
      <!--<app-dots></app-dots>
      <app-user-box></app-user-box>-->

      <div class="header-dots">
        <div class="btn-group" ngbDropdown autoClose="outside" placement="bottom">
          <button type="button" class="btn btn-link p-0 mr-2" [routerLink]="['/sistemas']">
            <span>
              <div class="icon-wrapper icon-wrapper-alt rounded-circle">
                <div class="icon-wrapper-bg bg-success"></div>
                <i class="lnr-exit text-primary"></i>
              </div>
            </span>
          </button>

          <!--Notificaciones-->
          <button type="button" class="btn btn-link p-0 mr-2" ngbDropdownToggle>
            <span>
              <div class="icon-wrapper icon-wrapper-alt rounded-circle">
                <div class="icon-wrapper-bg bg-info"></div>
                <i class="lnr-bullhorn text-warning"></i>
                <div class="badge badge-dot badge-dot-sm badge-danger animated fadeIn infinite" *ngIf="flagMsjs">
                  Notificaciones
                </div>
              </div>
            </span>
          </button>
          <button type="button" class="btn btn-link p-0 mr-2">
            <span>
              <div class="icon-wrapper icon-wrapper-alt rounded-circle" (click)="endSession()">
                <div class="icon-wrapper-bg bg-danger"></div>
                <i class="pe-7s-power text-danger font-weigth-bold"></i>
              </div>
            </span>
          </button>
          <div class="dropdown-menu-xl" ngbDropdownMenu>
            <div class="dropdown-menu-header mb-0">
              <div class="dropdown-menu-header-inner bg-deep-blue">
                <div class="menu-header-image opacity-1 dd-header-bg-2"></div>
                <div class="menu-header-content text-dark">
                  <h5 class="menu-header-title">Notificaciones</h5>
                  <h6 class="menu-header-subtitle" *ngIf="flagMsjs">
                    Tienes notificaciones
                  </h6>
                  <h6 class="menu-header-subtitle" *ngIf="!flagMsjs">
                    No tienes notificaciones
                  </h6>
                </div>
              </div>
            </div>
            <div class="card-tabbed-header">
              <ngb-tabset class="tabs-animated tabs-animated-shadow" justify="justified">
                <ngb-tab>
                  <ng-template ngbTabTitle>
                    <span>Mensajes</span>
                  </ng-template>
                  <ng-template ngbTabContent>
                    <div class="scroll-gradient">
                      <!-- shadow-overflow -->
                      <div class="scroll-area-sm">
                        <perfect-scrollbar [autoPropagation]="true">
                          <div
                            class="vertical-time-simple vertical-without-time vertical-timeline vertical-timeline--animate vertical-timeline--one-column">

                            <div class="vertical-timeline-item vertical-timeline-element" *ngIf="!flagMsjs">
                              <span class="vertical-timeline-element-icon bounce-in"></span>
                              <div class="vertical-timeline-element-content bounce-in">
                                <h4 class="timeline-title">
                                  No hay notificaciones al momento
                                </h4>
                                <span class="vertical-timeline-element-date"></span>
                              </div>
                            </div>

                            <div *ngIf="flagMsjs && msg">
                              <div class="vertical-timeline-item vertical-timeline-element"
                                *ngFor="let msg of mensajes">
                                <span class="vertical-timeline-element-icon bounce-in"></span>
                                <div class="vertical-timeline-element-content bounce-in">
                                  <h4 class="timeline-title">
                                    {{ msg }}
                                  </h4>
                                  <span class="vertical-timeline-element-date"></span>
                                </div>
                              </div>
                            </div>
                            <div *ngIf="flagMsjs && ttInfocia.cNotifica">
                              <div class="vertical-timeline-item vertical-timeline-element">
                                <span class="vertical-timeline-element-icon bounce-in"></span>
                                <div class="vertical-timeline-element-content bounce-in">
                                  <h4 class="timeline-title">
                                    {{ ttInfocia.cNotifica }}
                                  </h4>
                                  <span class="vertical-timeline-element-date"></span>
                                </div>
                              </div>
                            </div>

                          </div>
                        </perfect-scrollbar>
                      </div>
                    </div>
                  </ng-template>
                </ngb-tab>
              </ngb-tabset>
            </div>
            <div class="nav-justified">
              <ul class="nav flex-column">
                <li class="nav-item-divider nav-item mt-0"></li>
                <li class="nav-item-btn nav-item" *ngIf="ttInfocia.lreq">
                  <button class="btn-shadow btn-wide btn-pill btn btn-focus btn-sm" [routerLink]="['requerimientos']">
                    Ver Requerimientos
                  </button>
                </li>
                <li class="nav-item-btn nav-item" *ngIf="ttInfocia.ldep">
                  <button class="btn-shadow btn-wide btn-pill btn btn-focus btn-sm">
                    Ver Depositos
                  </button>
                </li>
                <li class="nav-item-btn nav-item" *ngIf="ttInfocia.ldesp">
                  <button class="btn-shadow btn-wide btn-pill btn btn-focus btn-sm">
                    Ver Despertador
                  </button>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </div>
      <!--Notificaciones-->

      <div class="d-flex">
        <div class="header-btn-lg pr-0">
          <div class="widget-content p-0">
            <div class="widget-content-wrapper">
              <div class="widget-content-left">
                <div class="btn-group" ngbDropdown placement="bottom-right">
                  <button type="button" class="btn btn-link p-0 mr-2" ngbDropdownToggle>
                    <span>
                      <div class="icon-wrapper icon-wrapper-alt rounded-circle">
                        <img width="42" src="./assets/images/avatars/avatar1.png" alt="" class="rounded-circle">
                      </div>
                    </span>
                  </button>
                  <div class="dropdown-menu-lg" ngbDropdownMenu>
                    <div class="dropdown-menu-header">
                      <div class="dropdown-menu-header-inner bg-info">
                        <div class="menu-header-image opacity-2 dd-header-bg-6"></div>
                        <div class="menu-header-content text-left">
                          <div class="widget-content p-0">
                            <div class="widget-content-wrapper">
                              <div class="widget-content-left mr-3">
                                <img width="42" src="./assets/images/avatars/avatar1.png" alt="" class="rounded-circle">
                              </div>
                              <div class="widget-content-left">
                                <div class="widget-heading">{{ encabezado[3] }}</div>
                                <div class="widget-subheading opacity-8">
                                  {{ encabezado[2] }}
                                </div>
                              </div>
                              <div class="widget-content-right mr-2">
                                <button class="btn-pill btn-shadow btn-shine btn btn-focus" [routerLink]="['perfil']"
                                  [disabled]="loading" (click)="cambiarClave()">
                                  <i class="fas fa-key mr-2"></i>Password
                                </button>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

    </div>

  </div>
  <div class="app-header__mobile-menu">
    <button type="button" class="hamburger close-sidebar-btn hamburger--elastic"
      [ngClass]="{'is-active' : globals.toggleSidebarMobile}" (click)="toggleSidebarMobile()">
      <span class="hamburger-box">
        <span class="hamburger-inner"></span>
      </span>
    </button>
  </div>
  <div class="app-header__menu">
    <span>
      <button class="btn-icon btn-icon-only btn btn-primary" [ngClass]="{'is-active' : globals.toggleHeaderMobile}"
        (click)="toggleHeaderMobile()">
        <div class="btn-icon-wrapper">
          <fa name="ellipsis-v"></fa>
        </div>
      </button>
    </span>
  </div>
</div>